Get Order Webhooks
API to fetch webhooks sent for an order
In: header
Path Parameters
Query Parameters
String representation to fetch webhooks for. It can be comma separated list, each itemin list can be one of assigned, started, first_eta, eta, eta_change, n_minutes_away, device_switched, disabled, enabled, updated, delayed, risk_updated, arrived, exited, completed, cancelled. eg. `?value=eta,eta_change
ISO 8601 datetime indicating the start time to be used for fetching webhooks
ISO 8601 datetime indicating the end time to be used for fetching webhooks
Filter for fulfillment attempt number
Token provided by our API to retrieve the next page of webhooks
Number of webhooks to be sent in response
Field to sort webhooks by time in ascending or descending order
Hidden parameter to enable internal debug level logging for webhook queries
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orders/string/webhooks"{ "webhooks": [ { "created_at": "2023-10-26T01:28:22.016Z", "recorded_at": "2023-10-26T01:28:22.016Z", "version": "1.0.0", "account_id": "80858940089", "device_id": "52193948-1A79-14GF-AB81-2FB0A59536S3", "worker_handle": "Samual-Jackson", "type": "order", "data": { "value": "arrived", "order_handle": "ORD_6920", "route_handle": "a3f6e79c-c830-4766-8a3d-9eeaa5099ce2", "place_handle": "WARE_593", "status": "ongoing", "share_url": "https://trck.at/PvR4MmWOpt", "scheduled_at": "2024-11-23T18:45:00.000Z", "initial_eta": "2024-11-23T18:25:00.000Z", "arrival": { "location": { "type": "Point", "coordinates": [ -121.9007247, 37.3811932 ] }, "recorded_at": "2024-11-23T18:35:00.000Z" }, "metadata": { "source": "app", "team_id": "4retro" } } } ], "pagination_token": "hjbkshkcvhskdjckdnk"}{ "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}Disable Order POST
Disable an order identified by the given order_handle. This will recompute the ETA by excluding this order in the route
Complete Order POST
Complete an order identified by the given order_handle. A completed order means that the shift occurred. Send the worker's `timesheets` from your system and additional metadata (merged with the stored metadata). The `timesheets` replace all stored customer timesheet entries; the HyperTrack location entry stays. A `timesheet_updated` webhook is sent when the stored timesheets change. An empty body completes the order as before.